Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network26.2.28.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
Network address
26.2.28.0
Broadcast address
26.2.31.255
First usable
26.2.28.1
Last usable
26.2.31.254
Usable hosts
1,022 (1,024 less the network and broadcast addresses)
Subnet mask
255.255.252.0
Wildcard mask
0.0.3.255 (Cisco ACLs, OSPF)
Prefix length
/22
Type
Public public
Old class
A (default /8)
As numbers
Hex 1A021C00 · Integer 436345856 to 436346879
Reverse DNS zones
28.2.26.in-addr.arpa
29.2.26.in-addr.arpa
30.2.26.in-addr.arpa
31.2.26.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011010.00000010.00011100.0000000026.2.28.0
Subnet mask11111111.11111111.11111100.00000000255.255.252.0
Network00011010.00000010.00011100.0000000026.2.28.0
Broadcast00011010.00000010.00011111.1111111126.2.31.255
Split into smaller subnets/29

26.2.28.0/22 makes 128 subnets of /29.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
126.2.28.0/2926.2.28.1 to 26.2.28.626.2.28.76
226.2.28.8/2926.2.28.9 to 26.2.28.1426.2.28.156
326.2.28.16/2926.2.28.17 to 26.2.28.2226.2.28.236
426.2.28.24/2926.2.28.25 to 26.2.28.3026.2.28.316
526.2.28.32/2926.2.28.33 to 26.2.28.3826.2.28.396
626.2.28.40/2926.2.28.41 to 26.2.28.4626.2.28.476
726.2.28.48/2926.2.28.49 to 26.2.28.5426.2.28.556
826.2.28.56/2926.2.28.57 to 26.2.28.6226.2.28.636
926.2.28.64/2926.2.28.65 to 26.2.28.7026.2.28.716
1026.2.28.72/2926.2.28.73 to 26.2.28.7826.2.28.796
1126.2.28.80/2926.2.28.81 to 26.2.28.8626.2.28.876
1226.2.28.88/2926.2.28.89 to 26.2.28.9426.2.28.956
1326.2.28.96/2926.2.28.97 to 26.2.28.10226.2.28.1036
1426.2.28.104/2926.2.28.105 to 26.2.28.11026.2.28.1116
1526.2.28.112/2926.2.28.113 to 26.2.28.11826.2.28.1196
1626.2.28.120/2926.2.28.121 to 26.2.28.12626.2.28.1276
1726.2.28.128/2926.2.28.129 to 26.2.28.13426.2.28.1356
1826.2.28.136/2926.2.28.137 to 26.2.28.14226.2.28.1436
1926.2.28.144/2926.2.28.145 to 26.2.28.15026.2.28.1516
2026.2.28.152/2926.2.28.153 to 26.2.28.15826.2.28.1596
2126.2.28.160/2926.2.28.161 to 26.2.28.16626.2.28.1676
2226.2.28.168/2926.2.28.169 to 26.2.28.17426.2.28.1756
2326.2.28.176/2926.2.28.177 to 26.2.28.18226.2.28.1836
2426.2.28.184/2926.2.28.185 to 26.2.28.19026.2.28.1916
2526.2.28.192/2926.2.28.193 to 26.2.28.19826.2.28.1996
2626.2.28.200/2926.2.28.201 to 26.2.28.20626.2.28.2076
2726.2.28.208/2926.2.28.209 to 26.2.28.21426.2.28.2156
2826.2.28.216/2926.2.28.217 to 26.2.28.22226.2.28.2236
2926.2.28.224/2926.2.28.225 to 26.2.28.23026.2.28.2316
3026.2.28.232/2926.2.28.233 to 26.2.28.23826.2.28.2396
3126.2.28.240/2926.2.28.241 to 26.2.28.24626.2.28.2476
3226.2.28.248/2926.2.28.249 to 26.2.28.25426.2.28.2556
3326.2.29.0/2926.2.29.1 to 26.2.29.626.2.29.76
3426.2.29.8/2926.2.29.9 to 26.2.29.1426.2.29.156
3526.2.29.16/2926.2.29.17 to 26.2.29.2226.2.29.236
3626.2.29.24/2926.2.29.25 to 26.2.29.3026.2.29.316
3726.2.29.32/2926.2.29.33 to 26.2.29.3826.2.29.396
3826.2.29.40/2926.2.29.41 to 26.2.29.4626.2.29.476
3926.2.29.48/2926.2.29.49 to 26.2.29.5426.2.29.556
4026.2.29.56/2926.2.29.57 to 26.2.29.6226.2.29.636
4126.2.29.64/2926.2.29.65 to 26.2.29.7026.2.29.716
4226.2.29.72/2926.2.29.73 to 26.2.29.7826.2.29.796
4326.2.29.80/2926.2.29.81 to 26.2.29.8626.2.29.876
4426.2.29.88/2926.2.29.89 to 26.2.29.9426.2.29.956
4526.2.29.96/2926.2.29.97 to 26.2.29.10226.2.29.1036
4626.2.29.104/2926.2.29.105 to 26.2.29.11026.2.29.1116
4726.2.29.112/2926.2.29.113 to 26.2.29.11826.2.29.1196
4826.2.29.120/2926.2.29.121 to 26.2.29.12626.2.29.1276
4926.2.29.128/2926.2.29.129 to 26.2.29.13426.2.29.1356
5026.2.29.136/2926.2.29.137 to 26.2.29.14226.2.29.1436
5126.2.29.144/2926.2.29.145 to 26.2.29.15026.2.29.1516
5226.2.29.152/2926.2.29.153 to 26.2.29.15826.2.29.1596
5326.2.29.160/2926.2.29.161 to 26.2.29.16626.2.29.1676
5426.2.29.168/2926.2.29.169 to 26.2.29.17426.2.29.1756
5526.2.29.176/2926.2.29.177 to 26.2.29.18226.2.29.1836
5626.2.29.184/2926.2.29.185 to 26.2.29.19026.2.29.1916
5726.2.29.192/2926.2.29.193 to 26.2.29.19826.2.29.1996
5826.2.29.200/2926.2.29.201 to 26.2.29.20626.2.29.2076
5926.2.29.208/2926.2.29.209 to 26.2.29.21426.2.29.2156
6026.2.29.216/2926.2.29.217 to 26.2.29.22226.2.29.2236
6126.2.29.224/2926.2.29.225 to 26.2.29.23026.2.29.2316
6226.2.29.232/2926.2.29.233 to 26.2.29.23826.2.29.2396
6326.2.29.240/2926.2.29.241 to 26.2.29.24626.2.29.2476
6426.2.29.248/2926.2.29.249 to 26.2.29.25426.2.29.2556
6526.2.30.0/2926.2.30.1 to 26.2.30.626.2.30.76
6626.2.30.8/2926.2.30.9 to 26.2.30.1426.2.30.156
6726.2.30.16/2926.2.30.17 to 26.2.30.2226.2.30.236
6826.2.30.24/2926.2.30.25 to 26.2.30.3026.2.30.316
6926.2.30.32/2926.2.30.33 to 26.2.30.3826.2.30.396
7026.2.30.40/2926.2.30.41 to 26.2.30.4626.2.30.476
7126.2.30.48/2926.2.30.49 to 26.2.30.5426.2.30.556
7226.2.30.56/2926.2.30.57 to 26.2.30.6226.2.30.636
7326.2.30.64/2926.2.30.65 to 26.2.30.7026.2.30.716
7426.2.30.72/2926.2.30.73 to 26.2.30.7826.2.30.796
7526.2.30.80/2926.2.30.81 to 26.2.30.8626.2.30.876
7626.2.30.88/2926.2.30.89 to 26.2.30.9426.2.30.956
7726.2.30.96/2926.2.30.97 to 26.2.30.10226.2.30.1036
7826.2.30.104/2926.2.30.105 to 26.2.30.11026.2.30.1116
7926.2.30.112/2926.2.30.113 to 26.2.30.11826.2.30.1196
8026.2.30.120/2926.2.30.121 to 26.2.30.12626.2.30.1276
8126.2.30.128/2926.2.30.129 to 26.2.30.13426.2.30.1356
8226.2.30.136/2926.2.30.137 to 26.2.30.14226.2.30.1436
8326.2.30.144/2926.2.30.145 to 26.2.30.15026.2.30.1516
8426.2.30.152/2926.2.30.153 to 26.2.30.15826.2.30.1596
8526.2.30.160/2926.2.30.161 to 26.2.30.16626.2.30.1676
8626.2.30.168/2926.2.30.169 to 26.2.30.17426.2.30.1756
8726.2.30.176/2926.2.30.177 to 26.2.30.18226.2.30.1836
8826.2.30.184/2926.2.30.185 to 26.2.30.19026.2.30.1916
8926.2.30.192/2926.2.30.193 to 26.2.30.19826.2.30.1996
9026.2.30.200/2926.2.30.201 to 26.2.30.20626.2.30.2076
9126.2.30.208/2926.2.30.209 to 26.2.30.21426.2.30.2156
9226.2.30.216/2926.2.30.217 to 26.2.30.22226.2.30.2236
9326.2.30.224/2926.2.30.225 to 26.2.30.23026.2.30.2316
9426.2.30.232/2926.2.30.233 to 26.2.30.23826.2.30.2396
9526.2.30.240/2926.2.30.241 to 26.2.30.24626.2.30.2476
9626.2.30.248/2926.2.30.249 to 26.2.30.25426.2.30.2556
9726.2.31.0/2926.2.31.1 to 26.2.31.626.2.31.76
9826.2.31.8/2926.2.31.9 to 26.2.31.1426.2.31.156
9926.2.31.16/2926.2.31.17 to 26.2.31.2226.2.31.236
10026.2.31.24/2926.2.31.25 to 26.2.31.3026.2.31.316
10126.2.31.32/2926.2.31.33 to 26.2.31.3826.2.31.396
10226.2.31.40/2926.2.31.41 to 26.2.31.4626.2.31.476
10326.2.31.48/2926.2.31.49 to 26.2.31.5426.2.31.556
10426.2.31.56/2926.2.31.57 to 26.2.31.6226.2.31.636
10526.2.31.64/2926.2.31.65 to 26.2.31.7026.2.31.716
10626.2.31.72/2926.2.31.73 to 26.2.31.7826.2.31.796
10726.2.31.80/2926.2.31.81 to 26.2.31.8626.2.31.876
10826.2.31.88/2926.2.31.89 to 26.2.31.9426.2.31.956
10926.2.31.96/2926.2.31.97 to 26.2.31.10226.2.31.1036
11026.2.31.104/2926.2.31.105 to 26.2.31.11026.2.31.1116
11126.2.31.112/2926.2.31.113 to 26.2.31.11826.2.31.1196
11226.2.31.120/2926.2.31.121 to 26.2.31.12626.2.31.1276
11326.2.31.128/2926.2.31.129 to 26.2.31.13426.2.31.1356
11426.2.31.136/2926.2.31.137 to 26.2.31.14226.2.31.1436
11526.2.31.144/2926.2.31.145 to 26.2.31.15026.2.31.1516
11626.2.31.152/2926.2.31.153 to 26.2.31.15826.2.31.1596
11726.2.31.160/2926.2.31.161 to 26.2.31.16626.2.31.1676
11826.2.31.168/2926.2.31.169 to 26.2.31.17426.2.31.1756
11926.2.31.176/2926.2.31.177 to 26.2.31.18226.2.31.1836
12026.2.31.184/2926.2.31.185 to 26.2.31.19026.2.31.1916
12126.2.31.192/2926.2.31.193 to 26.2.31.19826.2.31.1996
12226.2.31.200/2926.2.31.201 to 26.2.31.20626.2.31.2076
12326.2.31.208/2926.2.31.209 to 26.2.31.21426.2.31.2156
12426.2.31.216/2926.2.31.217 to 26.2.31.22226.2.31.2236
12526.2.31.224/2926.2.31.225 to 26.2.31.23026.2.31.2316
12626.2.31.232/2926.2.31.233 to 26.2.31.23826.2.31.2396
12726.2.31.240/2926.2.31.241 to 26.2.31.24626.2.31.2476
12826.2.31.248/2926.2.31.249 to 26.2.31.25426.2.31.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses